import os, sys, glob
import numpy as np
import matplotlib
matplotlib.use('Agg')
import matplotlib.pyplot as plt

files = [f for f in glob.glob("geom_*.in", recursive=True)]                   # reads all the prepared geom_***.in files
flen = len(files)
nok=[9,10,11,12]
energies = np.zeros((len(nok),flen))
for ik,k in enumerate(nok):
    print ("no. k-points:", k)
    path="nok_"+str(k)
    os.chdir(path)
    for iff,f in enumerate(files):
        print(f)
        f=f.rstrip('in'); f=f+'txt';
        for line in open('output'+f):                                      # Loop through file and extract energy
           if '| Total energy of the DFT / Hartree-Fock s.c.f. calculation      :' in line:
               energies[ik,iff]=float(line.split()[-2])
               #float(line.split()[-2])
               break
    os.chdir('..')
#print ("Energies:",energies)

print ("plotting:")
a=[]
for f in files:
    tmp=f.rstrip('.in'); a.append(float(tmp.strip('geom_')))

#print (a)
fig=plt.figure(0)                                                             # create figure
ax=fig.add_subplot(111)                                                       # create axes
ax.plot(a,energies[0],'o',c='b',label=" 9 k-points")                          # plot lattice vs. energy
ax.plot(a,energies[1],'o',c='r',label="10 k-points")                          # plot lattice vs. energy
ax.plot(a,energies[2],'o',c='g',label="11 k-points")                          # plot lattice vs. energy
ax.plot(a,energies[3],'o',c='k',label="12 k-points")                          # plot lattice vs. energy
ax.set_xlabel('Lattice [$\mathrm{\AA}$]',size=20)                             # x-label
ax.set_ylabel('Energy [eV]',size=20)                                          # y-label
ax.legend()
#fig.show()
fig.savefig('Results_energy.pdf')

X=np.zeros((len(nok),2))
X[:,0]=nok
for ik,k in enumerate(nok):
    X[ik,1]=np.min(energies[ik])

np.savetxt("minimal_energies.txt",X)

print ("Done")


