###########################################################################################################################################################################################
# This is a simple example how to run a series of lattice parameter and no. of k-points calculations                                                                                      #
# Note: To run this script, you must be in a directoy which contains                                                                                                                      #
#	- a geom_***.in files with Al BCC unit cell with differente lattice parameters                                                                                                    #
#	- a control.template file which contains the correct method .                                                                                                                     #
# Example input files are provided in the same directory as this script                                                                                                                   #
###########################################################################################################################################################################################
import os, sys, shutil, glob, argparse
from shutil import copyfile

# parse command-line arguments
p = argparse.ArgumentParser()
p.add_argument('nproc', metavar='N', type=int, nargs=1 ,help='')
args = p.parse_args()

#Variable defintion:
AIMSBIN='aims.x'
files = [f for f in glob.glob("geom_*.in", recursive=True)]                   # reads all the prepared geom_***.in files

os.system('cat control.template $SPECIES/light/13_Al_default > control.tmp')  # here the basis set is added to control.template > control.tmp
#Loop over the amount of k-points
for k in [9,10,11,12]:
    #print ("PWD:",os.system('pwd'))
    print ("no. k-points:", k)
    path="nok_"+str(k)                                                        # creating new directory for each amount of k-points
    if not os.path.exists(path): os.mkdir(path)
    os.chdir(path)
    copyfile('../control.tmp', 'control.tmp')
    tmp=open('control.tmp','r')
    template=tmp.read()
    outf=open('control.in','w')                                               # control.in is created
    outf.write(template.replace('XXX',str(k)))                                #   amount of k-points is properly written to control.in
    outf.close();   tmp.close();
    #Loop over the lattice parameters
    for f in files:
        print(f)
        copyfile("../"+f, 'geometry.in')                                      # geom_***.in is copied to the directory as geometry.in
        f=f.rstrip('in'); f=f+'txt';
        os.system('mpirun -np '+str(args.nproc[0])+' '+AIMSBIN+' > output'+f) # run aims
    os.chdir('..')

print ("Done")


