#!/bin/python3
from ase import atoms
from ase.build import fcc110, add_adsorbate
from ase.io import write
from ase.visualize import view
from ase.constraints import FixAtoms
surf = fcc110('Al',(1,2,3),a=3.99,vacuum=15, periodic=True)
add_adsorbate(surf, 'H', 0.2, position='longbridge')
c= FixAtoms(mask=[atom.position[2] < 16.0 for atom in surf])
surf.set_constraint(c)
view(surf)
write('geometry.in',surf)
exit()
